< Back to index

How to install Remotix Agent to older macOS

If you need to install Remotix Agent to an older macOS, you may get a system error saying “Remotix Agent can’t be installed because its digital signature is invalid”.

The digital signing process has evolved over time so the latest notarised versions of the Agent may be considered incorrectly signed by the older versions of macOS (10.9 Mavericks, 10.10 Yosemite or 10.11 El Capitan):

Screen Shot 2021-04-24 at 12.11.15 PM.png

Here is a workaround on how to fix this issue by stripping out the code signing that trips it up:

  1. Launch Terminal.app,
  2. Navigate to the folder containing the Agent installer (usually ~/Downloads),
  3. Execute these:
    pkgutil --expand RemotixAgent-1.5.6-22166.pkg /tmp/flat.pkg
    pkgutil --flatten /tmp/flat.pkg RemotixAgent-1.5.6-22166-fixed.pkg
    Correct the Agent version if needed.
  4. Launch the fixed installer.

If this doesn’t help, please contact our support.